## com.easysw.cups
Class IPPURLConnection

    java.lang.Object
      |
      +--java.net.URLConnection
            |
            +--com.easysw.cups.IPPURLConnection

public class IPPURLConnection
extends java.net.URLConnection

Fields inherited from class java.net.URLConnection
`allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, url, useCaches`

Constructor Summary
`IPPURLConnection(java.net.URL url)` Constructor.

Method Summary
`void` `connect()` Not used.
`void` `disconnect()` Not used.
`boolean` `usingProxy()` Determine if using proxy.

Methods inherited from class java.net.URLConnection

`getAllowUserInteraction, getContent, getContent, getContentEncoding, getContentLength, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getIfModifiedSince, getInputStream, getLastModified, getOutputStream, getPermission, getRequestProperty, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setRequestProperty, setUseCaches, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IPPURLConnection

    public IPPURLConnection(java.net.URL url)

  Constructor.

Method Detail

### usingProxy

    public boolean usingProxy()

  Determine if using proxy.
  Returns:
    `boolean` Always `false` for now.

### connect

    public void connect()

  Not used.
  Overrides:
    `connect` in class `java.net.URLConnection`

### disconnect

    public void disconnect()

  Not used.